# Applications and Publications

Here some applications and scientific publications using libpointmatcher.

## Youtube Videos

Click on the image to play.

<div class="grid cards" markdown>

-   __Mapping A Campus__

    ---
+ Sensor: Velodyne HDL-64E
+ Application: Indoor and outdoor 3D mapping and localization
<a href="http://www.youtube.com/watch?feature=player_embedded&v=jlAArM_6N-I" target="_blank"><img src="http://img.youtube.com/vi/jlAArM_6N-I/0.jpg" alt="IMAGE ALT TEXT HERE" width="240" height="180" border="10" /></a>

-   __ARTOR: Long-term 3D map maintenance in dynamic environments__

    ---
  + Sensor: Velodyne HDL-32E
  + Application: 3D mapping and localization
  <a href="https://www.youtube.com/watch?v=cMgLyLpnsoU" target="_blank">
   <img src="https://raw.githubusercontent.com/ethz-asl/libpointmatcher/master/doc/images/youtubeCovers/cMgLyLpnsoU.jpg" width="240" height="180"/>
  </a>

-   __NIFTi: railyard mapping__

    ---
+ Sensor: Sick LMS-151
+ Application: 3D mapping and localization
<a href="https://www.youtube.com/watch?v=ygIvzWVfPYk" target="_blank">
<img src="https://raw.githubusercontent.com/ethz-asl/libpointmatcher/master/doc/images/youtubeCovers/ygIvzWVfPYk.jpg"
 width="240" height="180" border="10" />
</a>

-   __NIFTi: multi-floor mapping__

    ---
+ Sensor: Sick LMS-151
+ Application: 3D mapping and localization
<a href="https://www.youtube.com/watch?v=lP5Mj-TGaiw" target="_blank">
<img src="https://raw.githubusercontent.com/ethz-asl/libpointmatcher/master/doc/images/youtubeCovers/lP5Mj-TGaiw.jpg" 
 width="240" height="180" border="10" />
</a>



-   __ARTOR: Navigation in urban scene__

    ---
- Sensor: Velodyne HDL-32E
- Application: Navigation
<a href="https://www.youtube.com/watch?v=UCCAUf64tD0" target="_blank">
<img src="https://raw.githubusercontent.com/ethz-asl/libpointmatcher/master/doc/images/youtubeCovers/UCCAUf64tD0.jpg" 
 width="240" height="180" border="10" />
</a>



-   __ARTOR: Mapping rough terrain__

    ---
+ Sensor: Velodyne HDL-32E
+ Application: 3D mapping and localization
<a href="https://www.youtube.com/watch?v=M5Y99o7um88" target="_blank">
<img src="https://raw.githubusercontent.com/ethz-asl/libpointmatcher/master/doc/images/youtubeCovers/M5Y99o7um88.jpg" 
 width="240" height="180" border="10" />
</a>

- __Lizhbeth: Shore mapping around lake Zurich__

    ---
+ Sensor: Velodyne HDL-32E
+ Application: 3D mapping and localization
<a href="https://www.youtube.com/watch?v=g8l-Xq4qYeE" target="_blank">
<img src="https://raw.githubusercontent.com/ethz-asl/libpointmatcher/master/doc/images/youtubeCovers/g8l-Xq4qYeE.jpg" 
 width="240" height="180" border="10" />
</a>

- __BBQ modeling__

    ---
+ Sensor: Kinect
+ Application: 3D model reconstruction
<a href="https://www.youtube.com/watch?v=rIZud3F5IJw" target="_blank">
<img src="https://raw.githubusercontent.com/ethz-asl/libpointmatcher/master/doc/images/youtubeCovers/rIZud3F5IJw.jpg" 
 width="240" height="180" border="10" />
</a>

- __Kinect tracker__

    ---
+ Sensor: Kinect
+ Application: 3D mapping and localization
<a href="https://www.youtube.com/watch?v=McxpJGOZTPs" target="_blank">
<img src="https://raw.githubusercontent.com/ethz-asl/libpointmatcher/master/doc/images/youtubeCovers/McxpJGOZTPs.jpg" 
 width="240" height="180" border="10" />
</a>
</div>


## Publications using libpointmatcher

1. F. Pomerleau, F. Colas and R. Siegwart (2015), "A Review of Point Cloud Registration Algorithms for Mobile Robotics", Foundations and Trends® in Robotics: Vol. 4: No. 1, pp 1-104. https://doi.org/10.1561/2300000035 or [Research Gate link](https://www.researchgate.net/publication/277558596_A_Review_of_Point_Cloud_Registration_Algorithms_for_Mobile_Robotics)

1. G. Hitz, F. Pomerleau, F. Colas, and R. Siegwart. "State Estimation for Shore Monitoring Using an Autonomous Surface Vessel." International Symposium on Experimental Robotics (ISER), 2014, 2014.

1. P. Krüsi, B. Bücheler, F. Pomerleau, U. Schwesinger, R. Siegwart, and P. Furgale. "Lighting‐invariant Adaptive Route Following Using Iterative Closest Point Matching." Journal of Field Robotics (2014).

1. N. Corso and A. Zakhor, “Indoor Localization Algorithms for an Ambulatory Human Operated 3D Mobile Mapping System.,” Remote Sens., vol. 5, no. 12, 2013.

1. M. Gianni, G. Gonnelli, A. Sinha, M. Menna, and F. Pirri, “An Augmented Reality approach for trajectory planning and control of tracked vehicles in rescue environments,” Safety, Security, and Rescue Robotics (SSRR), 2013 IEEE International Symposium on, pp. 1–6, 2013.
 
1.	F. Pomerleau, F. Colas, R. Siegwart, and S. Magnenat, “Comparing ICP Variants on Real-World Data Sets,” Autonomous Robots, vol. 34, no. 3, pp. 133–148, Feb. 2013.

2.	F. Colas, S. Mahesh, F. Pomerleau, M. Liu, and R. Siegwart, “3D path planning and execution for search and rescue ground robots,” presented at the Intelligent Robots and Systems (IROS), 2013 IEEE/RSJ International Conference on, 2013, pp. 722–727.

3.	F. Pomerleau, M. Liu, F. Colas, and R. Siegwart, “Challenging data sets for point cloud registration algorithms,” IJRR, vol. 31, no. 14, pp. 1705–1711, Dec. 2012.

4.	F. Pomerleau, S. Magnenat, F. Colas, M. Liu, and R. Siegwart, “Tracking a depth camera: Parameter exploration for fast ICP,” presented at the Intelligent Robots and Systems, 2011. Proceedings of the IEEE/RSJ International Conference on, 2011, pp. 3824–3829.


**Note**: Your application or publication is not here? Just fill an issue through GitHub and we
 will be happy to add your utilization of the library to this page!
